## unanimity 3.3.0+dfsg

=== CMakeLists.txt ===
##############################################
# CMake build script for the UNANIMITY library
##############################################

cmake_minimum_required(VERSION 3.2)
cmake_policy(SET CMP0048 NEW)
project(UNANIMITY VERSION 3.0.0 LANGUAGES CXX C)

set(ROOT_PROJECT_NAME ${PROJECT_NAME} CACHE STRING "root project name")

# Build type
IF(NOT CMAKE_BUILD_TYPE)
    SET(CMAKE_BUILD_TYPE Release CACHE STRING "Choose the type of build, options are: Debug Release Profile RelWithDebInfo ReleaseWithAssert" FORCE)
ENDIF(NOT CMAKE_BUILD_TYPE)

# Build-time options
option(UNY_build_bin     "Build binaries." ON)
option(UNY_build_tests   "Build UNANIMITY's unit tests." ON)
option(UNY_build_chimera "Build UNANMITIY's stand-alone chimera labeler." OFF)
option(UNY_build_sim     "Build UNANMITIY's (sub)read simulator." OFF)
option(UNY_inc_coverage  "Include UNANIMITY's coverage script." OFF)
option(UNY_use_ccache    "Build UNANIMITY using ccache, if available." ON)

# Main project paths
set(UNY_RootDir       ${UNANIMITY_SOURCE_DIR})
set(UNY_IncludeDir    ${UNY_RootDir}/include)
set(UNY_SourceDir     ${UNY_RootDir}/src)
set(UNY_SwigDir       ${UNY_RootDir}/swig)
set(UNY_TestsDir      ${UNY_RootDir}/tests)
set(UNY_ThirdPartyDir ${UNY_RootDir}/third-party)

# Project configuration
set(CMAKE_MODULE_PATH ${CMAKE_CURRENT_LIST_DIR}/cmake ${CMAKE_MODULE_PATH})

# Fixed order, do not sort or shuffle
include(uny-ccache)
include(uny-releasewithassert)
include(uny-dependencies)
include(uny-compilerflags)
include(uny-gitsha1)
include(uny-config)

# Build library
add_subdirectory(${UNY_SourceDir})

# Build tests
if(UNY_build_tests)
    add_subdirectory(${UNY_TestsDir})
endif()

# Swig
if (PYTHON_SWIG)
    add_subdirectory(${UNY_SwigDir})
endif()

=== meson_options.txt ===
option('tests',            type : 'boolean', value : true,  description : 'Enable dependencies required for testing')

# python:
option('swig',             type : 'boolean', value : true,        description : 'Build UNANMITIY\'s SWIG interfacing code')
option('PYTHON',           type : 'string',  value : 'python2.7', description : 'Python interpreter to use for byte-compiling .py files')
option('pythoninstalldir', type : 'string',                       description : 'Directory to install python files into, will use python sitedir if left empty')

=== src/CMakeLists.txt ===
# functions
function(create_exe libName)
    add_executable(${libName} ${UNY_SourceDir}/main/${libName}.cpp)

    set_target_properties(${libName} PROPERTIES
        RUNTIME_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR}
    )

    target_link_libraries(${libName}
        ${CMAKE_THREAD_LIBS_INIT}
        ${CMAKE_DL_LIBS}
        ${UNY_LIBRARIES}
    )

    install(TARGETS ${libName} RUNTIME DESTINATION bin)
endfunction()

# get all header files for IDE support
file(GLOB_RECURSE UNY_HEADER "${UNY_IncludeDir}/*.h")
file(GLOB_RECURSE UNY_HIDDEN_HEADER "*.h")
# get sources for src/align
file(GLOB UNY_ALIGN_CPP  "align/*.cpp")
# get sources for src/genomicconsensus
file(GLOB_RECURSE UNY_GC_CPP  "genomicconsensus/*.cpp")
# get sources for src/matrix
file(GLOB UNY_MATRIX_CPP "matrix/*.cpp")
# get sources for src/models
file(GLOB UNY_MODELS_CPP "models/*.cpp")
# get sources for src/poa
file(GLOB UNY_POA_CPP    "poa/*.cpp")

# enable models
foreach(i
    # compile-time parameterized
    P6C4NoCov
    S_P1C1Beta
    S_P1C1v1
    S_P1C1v2
    S_P2C2v5

    # run-time parameterized
    Marginal
    PwSnrA
    PwSnr
    Snr)
    set(ENABLED_MODELS "${ENABLED_MODELS} X(${i})")
endforeach()

configure_file(
    ${UNY_SourceDir}/ModelInternalInitializer.cpp.in
    ${CMAKE_BINARY_DIR}/generated/ModelInternalInitializer.cpp
)

# includes
set(UNY_INCLUDE_DIRS
    ${UNY_IncludeDir}
    ${CMAKE_BINARY_DIR}/generated
    ${Boost_INCLUDE_DIRS}
    ${HTSLIB_INCLUDE_DIRS}
    ${SEQAN_INCLUDE_DIRS}
    ${CPPOPTPARSE_IncludeDir}
    ${PacBioBAM_INCLUDE_DIRS}
    ${pbcopper_INCLUDE_DIRS}
    ${ssw_INCLUDE_DIRS}
    ${CMAKE_CURRENT_SOURCE_DIR}
    CACHE INTERNAL
    "${PROJECT_NAME}: Include Directories"
    FORCE
)

# add subset of sources that only contains cc2
add_library(cc2 STATIC
    ${CMAKE_BINARY_DIR}/generated/UnanimityGitHash.cpp
    ${CMAKE_BINARY_DIR}/generated/UnanimityVersion.cpp
    ${CMAKE_BINARY_DIR}/generated/ModelInternalInitializer.cpp
    ${UNY_ALIGN_CPP}
    ${UNY_MATRIX_CPP}
    ${UNY_MODELS_CPP}
    ${UNY_POA_CPP}
    Coverage.cpp
    EasyReadScorer.cpp
    Evaluator.cpp
    EvaluatorImpl.cpp
    Integrator.cpp
    IntervalMask.cpp
    ModelConfig.cpp
    ModelFactory.cpp
    ModelFormFactory.cpp
    ModelSelection.cpp
    Mutation.cpp
    Polish.cpp
    PolishResult.cpp
    Read.cpp
    Recursor.cpp
    Sequence.cpp
    Template.cpp
)

target_include_directories(cc2
    PUBLIC ${UNY_INCLUDE_DIRS}
)

# add main library including everything
set(UNANIMITY_FILES
    ${UNY_HEADER}
    ${UNY_HIDDEN_HEADER}
    ${CPPOPTPARSE_CPP}
    ${UNY_GC_CPP}
    ChemistryMapping.cpp
    ChemistryTriple.cpp
    Interval.cpp
    ReadId.cpp
    SparsePoa.cpp
    SubreadResultCounter.cpp
    Timer.cpp
    Utility.cpp
)

if (NOT PYTHON_SWIG)
    set(UNANIMITY_FILES ${UNANIMITY_FILES}
        ${ssw_INCLUDE_DIRS}/ssw_cpp.cpp
        ${ssw_INCLUDE_DIRS}/ssw.c
        ConsensusSettings.cpp
        LocalAlignment.cpp
    )
endif()

add_library(unanimity STATIC
    ${UNANIMITY_FILES}
)

target_include_directories(unanimity
    PUBLIC ${UNY_INCLUDE_DIRS}
)

set(UNY_LIBRARIES
    unanimity
    cc2
    ${ZLIB_LDFLAGS}
    ${HTSLIB_LIBRARIES}
    ${PacBioBAM_LIBRARIES}
    ${pbcopper_LIBRARIES}
    CACHE INTERNAL
    "${PROJECT_NAME}: Libraries"
    FORCE
)

# add executables
if (UNY_build_bin)
    create_exe(ccs)
    create_exe(arrow)
    create_exe(gcpp)
endif()

if (UNY_build_chimera)
    create_exe(ChimeraLabeler)
endif()

if (UNY_build_sim)
    create_exe(ccs_sim)
    create_exe(genomic_sim)
endif()

=== swig/CMakeLists.txt ===

# output directory
file(MAKE_DIRECTORY  ${CMAKE_BINARY_DIR}/swig/lib)

include(uny-findpythonpath)
find_python_inc(PYTHON_INCLUDE_DIRS)
find_numpy_inc(NUMPY_INCLUDE_DIRS)

include_directories(SYSTEM
    ${Boost_INCLUDE_DIRS}
    ${PYTHON_INCLUDE_DIRS}
    ${NUMPY_INCLUDE_DIRS}
)

# fPIC is required by a the majority of Linux systems,
# and the original ConsensusCore used it by default.
# We could use python -c "print(sysconfig.get_config_var('CCSHARED'))",
# but it's honestly unnecessary and requires providing PYTHON_EXECUTABLE
target_compile_options(cc2 PUBLIC -fPIC)
if (TARGET pbcopper)
    target_compile_options(pbcopper PUBLIC -fPIC)
endif()
add_compile_options(-fPIC)

# ConsensusCore2_wrap.cxx
set(SWIG_COMMAND swig CACHE PATH "swig PATH")

add_custom_command(OUTPUT ConsensusCore2_wrap.cxx
    COMMAND ${SWIG_COMMAND} -Wextra -c++ -python -builtin -module ConsensusCore2
        -I${UNY_IncludeDir} -I${CMAKE_BINARY_DIR}/generated
        -o ${CMAKE_BINARY_DIR}/swig/ConsensusCore2_wrap.cxx -outdir ${CMAKE_BINARY_DIR}/swig/lib
        ${UNY_SwigDir}/ConsensusCore2.i
)

# _ConsensusCore2.so
add_library(_ConsensusCore2 MODULE
    ConsensusCore2_wrap.cxx
)

target_include_directories(_ConsensusCore2
    PUBLIC ${UNY_IncludeDir}
    ${CMAKE_BINARY_DIR}/generated
    ${pbcopper_INCLUDE_DIRS}
)

set(CC2_LIBRARIES
    cc2
    CACHE INTERNAL "" FORCE)

target_link_libraries(_ConsensusCore2
    ${CC2_LIBRARIES}
    ${pbcopper_LIBRARIES}
)

if (${CMAKE_SYSTEM_NAME} MATCHES "Darwin")
    target_link_libraries(_ConsensusCore2 "-Wl,-undefined,dynamic_lookup")
endif()

set_target_properties(_ConsensusCore2 PROPERTIES
    LIBRARY_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR}/swig/lib
    PREFIX ""
)

=== tests/CMakeLists.txt ===
enable_testing()

# pthread
find_package(Threads)

if (EXTENSIVE_TESTING)
    add_definitions(-DEXTENSIVE_TESTING=1)
endif()

# gmock/gtest
set(GMOCK_RootDir    ${UNY_ThirdPartyDir}/gmock-1.7.0)
set(GMOCK_IncludeDir ${GMOCK_RootDir})

file(GLOB           GMOCK_CC    "${GMOCK_RootDir}/*.cc")
file(GLOB_RECURSE   GMOCK_H     "${GMOCK_RootDir}/*.h")

# Generate paths for test data
configure_file(
   ${UNY_TestsDir}/unit/TestData.h.in
   ${CMAKE_BINARY_DIR}/generated/TestData.h
)

include_directories(SYSTEM
    ${GMOCK_IncludeDir}
    ${UNY_ThirdPartyDir}
    ${UNY_IncludeDir}
    ${CMAKE_BINARY_DIR}/generated
    ${Boost_INCLUDE_DIRS}
    ${ZLIB_INCLUDE_DIRS}
    ${HTSLIB_INCLUDE_DIRS}
    ${UNY_ThirdPartyDir}/seqan/include
    unit/
    ${PacBioBAM_INCLUDE_DIRS}
)

file(GLOB UNY_TEST_CPP "unit/*.cpp")

add_executable(test_unanimity EXCLUDE_FROM_ALL
    ${UNY_TEST_CPP}
    ${GMOCK_CC}
    ${GMOCK_H}
)

target_link_libraries(test_unanimity
    ${UNY_LIBRARIES}
    ${CMAKE_THREAD_LIBS_INIT}
    ${CMAKE_DL_LIBS}
    ${ZLIB_LIBRARIES}
)

if(${ROOT_PROJECT_NAME} STREQUAL "UNANIMITY")
    add_custom_target(check
        COMMAND ${UNY_RootDir}/tools/check-formatting --all
        COMMAND test_unanimity --gtest_output=xml:${CMAKE_BINARY_DIR}/uny-unit.xml
        COMMAND __PBTEST_CCS_EXE=${CMAKE_BINARY_DIR}/ccs ${UNY_RootDir}/scripts/cram --xunit-file=${CMAKE_BINARY_DIR}/uny-cram.xml --verbose ${UNY_TestsDir}/cram/*.t
        COMMAND __PBTEST_CCS_EXE=${CMAKE_BINARY_DIR}/ccs ${UNY_TestsDir}/python/test_tool_contract.py
        DEPENDS ccs
        WORKING_DIRECTORY ${UNY_RootDir})
endif()

# add_test(test test_unanimity)

if(CMAKE_BUILD_TYPE STREQUAL "Debug" AND UNY_inc_coverage)
    include(uny-codecoverage)
    SETUP_TARGET_FOR_COVERAGE_COBERTURA(coverage test_unanimity coverage)
endif()

=== doc/ConsensusCore2-DesignAndImplementation/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help
help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  applehelp  to make an Apple Help Book"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  epub3      to make an epub3"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"
	@echo "  coverage   to run coverage check of the documentation (if enabled)"
	@echo "  dummy      to check syntax errors of document sources"

.PHONY: clean
clean:
	rm -rf $(BUILDDIR)/*

.PHONY: html
html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

.PHONY: dirhtml
dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

.PHONY: singlehtml
singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

.PHONY: pickle
pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

.PHONY: json
json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

.PHONY: htmlhelp
htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

.PHONY: qthelp
qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/ConsensusCore2DesignandImplementation.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/ConsensusCore2DesignandImplementation.qhc"

.PHONY: applehelp
applehelp:
	$(SPHINXBUILD) -b applehelp $(ALLSPHINXOPTS) $(BUILDDIR)/applehelp
	@echo
	@echo "Build finished. The help book is in $(BUILDDIR)/applehelp."
	@echo "N.B. You won't be able to view it unless you put it in" \
	      "~/Library/Documentation/Help or install it in your application" \
	      "bundle."

.PHONY: devhelp
devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/ConsensusCore2DesignandImplementation"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/ConsensusCore2DesignandImplementation"
	@echo "# devhelp"

.PHONY: epub
epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

.PHONY: epub3
epub3:
	$(SPHINXBUILD) -b epub3 $(ALLSPHINXOPTS) $(BUILDDIR)/epub3
	@echo
	@echo "Build finished. The epub3 file is in $(BUILDDIR)/epub3."

.PHONY: latex
latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

.PHONY: latexpdf
latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

.PHONY: latexpdfja
latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

.PHONY: text
text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

.PHONY: man
man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

.PHONY: texinfo
texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

.PHONY: info
info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

.PHONY: gettext
gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

.PHONY: changes
changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

.PHONY: linkcheck
linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

.PHONY: doctest
doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

.PHONY: coverage
coverage:
	$(SPHINXBUILD) -b coverage $(ALLSPHINXOPTS) $(BUILDDIR)/coverage
	@echo "Testing of coverage in the sources finished, look at the " \
	      "results in $(BUILDDIR)/coverage/python.txt."

.PHONY: xml
xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

.PHONY: pseudoxml
pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

.PHONY: dummy
dummy:
	$(SPHINXBUILD) -b dummy $(ALLSPHINXOPTS) $(BUILDDIR)/dummy
	@echo
	@echo "Build finished. Dummy builder generates no files."

=== third-party/cpp-optparse/Makefile ===
ifdef ICC
CXX = icpc
WARN_FLAGS = -O3 -ipo -g -Wall -wd981 -wd383 -wd2259 -Werror # -Weffc++
else
CXX = g++
WARN_FLAGS = -O3 -g -Wall -Wextra -Wabi -Wctor-dtor-privacy -Wnon-virtual-dtor -Wreorder -Wstrict-null-sentinel -Woverloaded-virtual -Wshadow -Wcast-align -Wpointer-arith -Wwrite-strings -Wundef -Wredundant-decls -Werror # -Weffc++
endif

BIN = test
OBJECTS = OptionParser.o test.o

$(BIN): $(OBJECTS)
	$(CXX) -o $@ $(OBJECTS) $(WARN_FLAGS) $(LINKFLAGS)

%.o: %.cpp OptionParser.h
	$(CXX) $(WARN_FLAGS) $(CXXFLAGS) -c $< -o $@

.PHONY: clean

clean:
	rm -f *.o $(BIN)

=== debian/changelog ===
unanimity (3.3.0+dfsg-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Remove manual dependencies on libpbbam, version build
    dependency on libpbbam-dev to ensure a proper dependency
    is generated.

 -- Adrian Bunk <bunk@debian.org>  Wed, 06 Feb 2019 09:11:14 +0200

unanimity (3.3.0+dfsg-2) unstable; urgency=medium

  [ Steve Langasek ]
  * Build compatibility with -Wl, --as-needed
    Closes: #921054
  * Don't depend on build target
    Closes: #921057

 -- Andreas Tille <tille@debian.org>  Fri, 01 Feb 2019 12:45:08 +0100

unanimity (3.3.0+dfsg-1) unstable; urgency=medium

  * New upstream version
  * debhelper 12
  * Standards-Version: 4.3.0

 -- Andreas Tille <tille@debian.org>  Thu, 24 Jan 2019 11:40:05 +0100

unanimity (3.1.0+dfsg-1) unstable; urgency=medium

  * Initial release (Closes: #847310)
  * Python 2 version is needed to fix bug #852654 and update other
    packages to latest upstream version.

 -- Andreas Tille <tille@debian.org>  Thu, 18 Oct 2018 18:14:48 +0200

=== debian/control ===
Source: unanimity
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Afif Elghraoui <afif@debian.org>,
           Andreas Tille <tille@debian.org>
Section: science
Testsuite: autopkgtest-pkg-python
Priority: optional
Build-Depends: debhelper (>= 12~),
               dh-python,
               cmake,
               swig,
               python-setuptools,
               python-all-dev,
               python-numpy,
               libboost-dev,
               libhts-dev,
               libpbbam-dev (>= 0.18.0+dfsg-1~),
               libpbcopper-dev,
               libseqan2-dev,
               pandoc
Standards-Version: 4.3.0
Vcs-Browser: https://salsa.debian.org/med-team/unanimity
Vcs-Git: https://salsa.debian.org/med-team/unanimity.git
Homepage: https://github.com/PacificBiosciences/unanimity

Package: unanimity
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${python:Depends}
Description: generate and process accurate consensus nucleotide sequences
 Unanimity provides a set of tools for consensus sequences from Pacific
 Biosciences sequencing data:
  * Circular Consensus Calling
    ccs takes multiple reads of the same SMRTbell sequence and combines them,
    employing a statistical model, to produce one high quality consensus
    sequence.
  * Minor variant caller
    juliet identifies minor variants from aligned ccs reads.

Package: python-consensuscore2
Architecture: any
Section: python
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${python:Depends}
Description: generate consensus sequences for PacBio data -- Python 2
 ConsensusCore2 embodies core C++ routines underlying the Arrow HMM
 algorithm for PacBio multi-sequence consensus.  Arrow is the successor
 to the Quiver model---a CRF model that was embodied in the
 ConsensusCore C++ library. Compared to Quiver, the Arrow model is more
 statistically principled and easier and more robust to train.
 .
 This package installs the library for Python 2.

=== debian/rules ===
#!/usr/bin/make -f

# DH_VERBOSE := 1
include /usr/share/dpkg/architecture.mk
export LC_ALL=C.UTF-8

export INCLUDE=/usr/include
export LIB=/usr/lib/$(DEB_HOST_MULTIARCH)

# Even though these are passed directly to cmake (for ccs) in dh_auto_configure,
# they also need to be environment variables for setup.py to work.
export pbcopper_INCLUDE_DIRS=$(INCLUDE)
export pbcopper_LIBRARIES=$(LIB)/libpbcopper.a

export PYBUILD_NAME=consensuscore2
# Don't let pybuild consider using cmake
export PYBUILD_SYSTEM=distutils

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

docs = $(addprefix doc/,\
 JULIET.html \
 PBCCS.html \
)

binary-arch: $(docs)
%:
	dh $@ \
	--package=unanimity \
	--no-package=python-consensuscore2 \
	--buildsystem=cmake \
	--builddirectory=build
	dh $@ \
	--package=python-consensuscore2 \
	--no-package=unanimity \
	--with python2 \
	--buildsystem=pybuild

# We only want to run the configure step once. If we do not do this,
# cmake attempts to run (from the second dh invocation) in the pybuild
# build directory (which cannot be changed; pybuild ignores --builddirectory)
# and fails.
override_dh_auto_configure: config-main;

config-main:
	dh_auto_configure -- \
	-DCMAKE_EXE_LINKER_FLAGS=-pthread \
	-DUNY_build_tests=OFF \
	-DPYTHON_SWIG=ON \
	-DZLIB_INCLUDE_DIRS=$(INCLUDE) \
	-DBoost_INCLUDE_DIRS=$(INCLUDE) \
	-DPacBioBAM_INCLUDE_DIRS=$(INCLUDE) \
	-DPacBioBAM_LIBRARIES=$(LIB)/libpbbam.so \
	-DSEQAN_INCLUDE_DIRS=$(INCLUDE) \
	-Dpbcopper_INCLUDE_DIRS=$(pbcopper_INCLUDE_DIRS) \
	-Dpbcopper_LIBRARIES=$(pbcopper_LIBRARIES)
	touch $@

override_dh_python2:
	dh_python2
	dh_numpy

override_dh_auto_clean:
	dh_auto_clean
	$(RM) config-main
	$(RM) $(docs)

%.html: %.md
	pandoc --standalone --from markdown --to html $< -o $@

=== debian/watch ===
version=4

opts="repacksuffix=+dfsg,dversionmangle=auto,repack,compression=xz" \
  https://github.com/PacificBiosciences/unanimity/releases .*/archive/v?@ANY_VERSION@@ARCHIVE_EXT@
